Visual Studio 2008 and .NET Framework 3.5 SP1 Beta Now Available

Somasegar broke the news this morning and provides some details of what to expect from the service packs. Jump on over to his blog to read about it and then click here to start downloading.

Also note that if you’re using Expression Blend 2.5 preview, there’s an update to that which makes it work with the 3.5 SP1. You can read more about that over here.

Update 6PM (ET):
Even though I’ve uninstalled all other betas/CTPs that are documented (and then some) I am unfortunately unable to install the .NET Framework service pack due to the following error that occurs about 2 seconds into the installation:

[05/12/08,18:01:05] Microsoft .NET Framework 2.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 2.0SP1 (CBS). MSI returned error code 1
[05/12/08,18:01:16] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0SP1 (CBS) is not installed.

I’ve done some searching around and this doesn’t seem to be a 3.5SP1 specific problem. I’ve tried some of the suggested solutions out there, but have yet to get anywhere.

Leave a Reply